using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.MailTemplatesManager.repository;

namespace e_suite.Modules.MailTemplatesManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<MailTemplatesManagerRepository>().As<IMailTemplatesManagerRepository>().InstancePerLifetimeScope();
        builder.RegisterType<MailTemplateManager>().As<IMailTemplateManager>().InstancePerLifetimeScope();
    }
}